EDIT - bug #4915
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

Abbrev title for person should never be orange
05/19/2015 05:00 PM - Andreas Mller

Status: Closed Start date:

Priority: Priority10 Due date:

Assignee: Andreas Mller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 3.12

Severity: normal Found in Version:

Description

the abbreviated title of a person should never become orange as it is not a cache field. However it sometimes becomes orange.
What | did:
e Open Person or Team Bulk editor
e create new Person (right click New-Author) => the new person is shown with protected white title cache and white abbrev. title
¢ do any change in title cache => the abbrev. title becomes orange !!
You may go further and unprotect the title cache => everything becomes white and then protect it and again everything incluging
abbrev title becomes orange
related to #4944, for general implementation issues see there.

see also #4912

Related issues:

Related to EDIT - bug #4944: "Protected" indication for references needs to b... Closed
Related to EDIT - bug #9405: Fields set to irrelevant for cache should be set... Closed
Related to EDIT - feature request #9417: Advanced issues for cache relevance ... New
History

#1 - 05/20/2015 11:14 AM - Andreas Miiller
- Target version deleted ()

- Priority changed from Priority08 to Priority10

#2 - 05/20/2015 02:39 PM - Katja Luther

the abbrev title is used for the titleCache if no lastname is available so if the cachestrategy is correct the orange colour is correct, too, or not?

#3 - 05/20/2015 03:45 PM - Andreas Miiller

It is true, that if long and abbreviated forms exist these 2 forms always are the fallback if no real atomized data exist. This is e.g. is the case for Teams
too.

However, for me the semantics of orange is more indicating that these fields are REPLACED by the protected cache field and e.g other objects
referring to the field will not depend on having these fields filled.

This is definitely not the case for the abbrev field which holds important and independent information and the fallback is only a solution to avoid empty
caches for dirty data.

Therefore | would always keep title cache and abbrev cache independent in terms of orange.

NOTE: By the way we do have a similar issue for teams but it appears only after unprotecting and reprotecting the field which is inconsistent behavior
anyway. Maybe you can fix this, too.

#4 - 06/04/2015 04:50 PM - Andreas Miller
- Target version set to Release 3.7

#5 - 07/20/2015 12:16 PM - Andreas Miiller

- Target version changed from Release 3.7 to Release 3.8

#6 - 09/11/2015 01:57 PM - Andreas Kohlbecker

- Target version deleted (Release 3.8)

moving unresolved tickets to next milestone after release of 3.8.0

#7 - 11/05/2015 12:20 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from K.luther - to Andreas Mdiller

fixing with r26363

#8 - 01/23/2021 02:11 AM - Andreas Miiller

- Related to bug #4944: "Protected" indication for references needs to be improved added

#9 - 01/23/2021 02:26 AM - Andreas Miiller

- Related to bug #9405: Fields set to irrelevant for cache should be set by state only added

#10 - 01/23/2021 02:29 AM - Andreas Miiller
- Description updated
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 50

This should also be fully fixed with #9405 being implemented. Please review again as the frameworks has been fully refactored.

#11 - 01/23/2021 02:41 AM - Andreas Miuiller

- Copied from feature request #9417: Advanced issues for cache relevance handling added

#12 - 01/23/2021 02:42 AM - Andreas Miiller

- Copied from deleted (feature request #9417: Advanced issues for cache relevance handling)

#13 - 01/23/2021 02:42 AM - Andreas Miiller

- Related to feature request #94.17: Advanced issues for cache relevance handling added

#14 - 03/04/2022 04:59 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 50 to 100

I guess this can be closed. | never observed an orange person titleCache field since the reimplementation.

#15 - 03/04/2022 04:59 PM - Andreas Miiller

- Private changed from Yes to No
